# synfig::ValueNode_Subtract Struct Reference

`#include <valuenode_subtract.h>`

Inheritance diagram for synfig::ValueNode_Subtract:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Subtract > | Handle
typedef etl::handle< const ValueNode_Subtract > | ConstHandle

## Public Member Functions

LinkableValueNode * | create_new () const
virtual | ~ValueNode_Subtract ()
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual bool | set_link_vfunc (int i, ValueNode::Handle x)
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_local_name (int i) const
virtual String | link_name (int i) const
virtual int | get_link_index_from_name (const String &name) const
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
ValueNode::Handle | get_lhs () const
| Gets the left-hand-side value_node.
ValueNode::Handle | get_rhs () const
| Gets the right-hand-side value_node.
ValueNode::Handle | get_scalar () const
| Gets the scalar value_node.

## Static Public Member Functions

static ValueNode_Subtract * | create (const ValueBase &value=ValueBase())
static bool | check_type (ValueBase::Type type)

## Protected Member Functions

| ValueNode_Subtract (const ValueBase &value)

## Member Typedef Documentation

typedef etl::handle<ValueNode_Subtract> synfig::ValueNode_Subtract::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_Subtract> synfig::ValueNode_Subtract::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

synfig::ValueNode_Subtract::ValueNode_Subtract | ( | const ValueBase & | value | ) | `[protected]`

References _, synfig::ValueNode_Const::create(), DCAST_HACK_ENABLE, synfig::ValueBase::get(), get_local_name(), synfig::ValueNode::get_type(), synfig::ValueBase::get_type(), synfig::LinkableValueNode::set_link(), synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_GRADIENT, synfig::ValueBase::TYPE_INTEGER, synfig::ValueBase::type_local_name(), synfig::ValueBase::TYPE_REAL, synfig::ValueBase::TYPE_TIME, and synfig::ValueBase::TYPE_VECTOR.

Referenced by create(), and create_new().

synfig::ValueNode_Subtract::~ValueNode_Subtract | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

LinkableValueNode * ValueNode_Subtract::create_new | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type(), and ValueNode_Subtract().

ValueNode_Subtract * ValueNode_Subtract::create | ( | const ValueBase & | value = `ValueBase()` | ) | `[static]`

References ValueNode_Subtract().

synfig::ValueBase synfig::ValueNode_Subtract::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

References _, synfig::ValueNode::get_type(), synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_GRADIENT, synfig::ValueBase::TYPE_INTEGER, synfig::ValueBase::TYPE_REAL, synfig::ValueBase::TYPE_TIME, and synfig::ValueBase::TYPE_VECTOR.

bool ValueNode_Subtract::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, synfig::ValueNode::get_type(), link_count(), and synfig::ValueBase::TYPE_REAL.

ValueNode::LooseHandle ValueNode_Subtract::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Subtract::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_Subtract::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

String ValueNode_Subtract::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Subtract::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

String ValueNode_Subtract::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_Subtract::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

Referenced by ValueNode_Subtract().

bool ValueNode_Subtract::check_type | ( | ValueBase::Type | type | ) | `[static]`

References synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_GRADIENT, synfig::ValueBase::TYPE_INTEGER, synfig::ValueBase::TYPE_REAL, synfig::ValueBase::TYPE_TIME, and synfig::ValueBase::TYPE_VECTOR.

ValueNode::Handle synfig::ValueNode_Subtract::get_lhs | ( |  | ) | const`[inline]`

Gets the left-hand-side value_node.

ValueNode::Handle synfig::ValueNode_Subtract::get_rhs | ( |  | ) | const`[inline]`

Gets the right-hand-side value_node.

ValueNode::Handle synfig::ValueNode_Subtract::get_scalar | ( |  | ) | const`[inline]`

Gets the scalar value_node.

The documentation for this struct was generated from the following files:

- valuenode_subtract.h
- valuenode_subtract.cpp